Permalink
Browse files

patch 8.0.1027: more terminals can't handle requesting cursor mode

Problem:    More terminals can't handle requesting cursor mode.
Solution:   Recognize Putty. (Hirohito Higashi)  Also include Xfce in the
            version check. (Dominique Pelle)  Recognize Konsole.
  • Loading branch information...
brammool committed Aug 31, 2017
1 parent 5c6dbcb commit 2db0ec4b2ec405aca4e642e0420ce703f94914a8
Showing with 16 additions and 3 deletions.
  1. +14 −3 src/term.c
  2. +2 −0 src/version.c
View
@@ -4562,10 +4562,21 @@ check_termcode(
&& STRNCMP(tp + extra - 2, "1;95;0c", 7) == 0)
is_not_xterm = TRUE;
# endif
/* Gnome Terminal.app sends 1;3801;0 or 1;4402;0,
* assuming any version number over 3000 is not an
/* Gnome terminal sends 1;3801;0 or 1;4402;0.
* xfce4-terminal sends 1;2802;0.
* Assuming any version number over 2800 is not an
* xterm. */
if (col >= 3000)
if (col >= 2800)
is_not_xterm = TRUE;
/* PuTTY sends 0;136;0 */
if (col == 136
&& STRNCMP(tp + extra - 2, "0;136;0c", 8) == 0)
is_not_xterm = TRUE;
/* Konsole sends 0;115;0 */
if (col == 115
&& STRNCMP(tp + extra - 2, "0;115;0c", 8) == 0)
is_not_xterm = TRUE;
/* Only request the cursor style if t_SH and t_RS are
View
@@ -769,6 +769,8 @@ static char *(features[]) =
static int included_patches[] =
{ /* Add new patch number below this line */
/**/
1027,
/**/
1026,
/**/

0 comments on commit 2db0ec4

Please sign in to comment.